# sample hyprlock.conf
# for more configuration options, refer https://wiki.hyprland.org/Hypr-Ecosystem/hyprlock
#
# rendered text in all widgets supports pango markup (e.g. <b> or <i> tags)
# ref. https://wiki.hyprland.org/Hypr-Ecosystem/hyprlock/#general-remarks
#
# shortcuts to clear password buffer: ESC, Ctrl+U, Ctrl+Backspace
#
# you can get started by copying this config to ~/.config/hypr/hyprlock.conf
#

$font = Monospace
$font_dune = Dune Rise

general {
    hide_cursor = true
}

auth {
    fingerprint {
        enabled = true
        ready_message = Scan fingerprint to unlock
        present_message = Scanning...
        retry_delay = 250 # in milliseconds
    }
}

animations {
    enabled = true
    bezier = linear, 1, 1, 0, 0
    animation = fadeIn, 1, 2, linear
    animation = fadeOut, 1, 2, linear
    animation = inputFieldDots, 1, 2, linear
}

background {
    monitor =
    path = ~/wallpapers/dune.jpg
    blur_passes = 0
}

input-field {
    monitor =
    size = 20%, 5%
    outline_thickness = 3
    inner_color = rgba(0, 0, 0, 0.3)

    outer_color = rgba(f26d00ff) rgba(fce4b8ff) 45deg
    check_color = rgba(00ff99ee) rgba(ff6633ee) 120deg
    fail_color = rgba(ff6633ee) rgba(ff0066ee) 40deg

    font_color = rgba(fce4b8ff)
    fade_on_empty = false
    rounding = 15

    shadow_size = 8
    shadow_passes = 2

    font_family = $font
    placeholder_text = Input password...
    fail_text = $PAMFAIL

    # uncomment to use a letter instead of a dot to indicate the typed password
    # dots_text_format = *
    # dots_size = 0.4
    dots_spacing = 0.3

    # uncomment to use an input indicator that does not show the password length (similar to swaylock's input indicator)
    # hide_input = true

    position = 0, -155
    halign = center
    valign = center
}

# TITLE
label {
    monitor =
    text = Dune OS
    font_size = 90
    font_family = $font_dune

    shadow_size = 8
    shadow_passes = 3

    color = rgba(fce4b8ff)

    position = 0, 370
    halign = center
    valign = center
}

# TIME
label {
    monitor =
    text = $TIME
    font_size = 25
    font_family = $font

    shadow_size = 3
    shadow_passes = 2

    color = rgba(fce4b8ff)

    position = 0, -280
    halign = center
    valign = center
}
